package com.bonus.core.allocation.alloc.spare;

import cn.hutool.core.text.CharSequenceUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("出入库配置模型")
public class AllocDrpModel {
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("取整方式(1向上取整，2向下取整，3四舍五入)")
   private String roundingStyle;
   @ApiModelProperty("采购订单需要供应商二次确认(1是,2否)")
   private String ifPurOrderNeedSupplierConfirm;
   @ApiModelProperty("商超是否允许透支库存(1是2否)")
   private String ifAllowOverdraftInventory;
   @ApiModelProperty("菜品生产计划是否需要审批(1是,2否)")
   private String ifProductionPlanNeedProcess;
   @ApiModelProperty("商品生产计划是否需要审批(1是,2否)")
   private String ifCommodityProductionNeedProcess;
   @ApiModelProperty("采购计划是否需要审批(1是,2否)")
   private String ifPurchasePlanNeedProcess;
   @ApiModelProperty("库存盘点是否需要审批(1是,2否)")
   private String ifCheckInventoryNeedProcess;
   @ApiModelProperty("货品调拨是否需要审批(1是,2否)")
   private String ifGoodsAllocationProcess;
   @ApiModelProperty("货品招标是否需要审批(1是,2否)")
   private String ifMaterialTenderProcess;
   @ApiModelProperty("采购订单是否需要审批(1是,2否)")
   private String ifPurOrderNeedProcess;
   @ApiModelProperty("领料单是否需要审批(1是,2否)")
   private String ifFetchMaterialNeedProcess;
   @ApiModelProperty("采购合同是否需要审批(1是,2否)")
   private String ifContractNeedProcess;
   @ApiModelProperty("调价单单是否需要审批(1是,2否)")
   private String ifAdjustmentNeedProcess;
   @ApiModelProperty("货品进价获取方式(1货品配置进价,2最新入库进价)")
   private String getMaterialUnitPriceStyle;
   @ApiModelProperty("成本取价方式(1.最近进价,2.月度均价)")
   private String dishesMaterialCostPriceStyle;
   @ApiModelProperty("采购计划参考价(1.参考上次采购价格，2.参考农贸市场价格)")
   private String getPurchasePlanReferencePrice = "1";
   @ApiModelProperty("货品临期提醒天数")
   private String materialComingDays;
   @ApiModelProperty("供应商资质证书临期提醒天数")
   private String supplierQualityComingDays;
   @ApiModelProperty("送货员健康证临期提醒天数")
   private String healthCertComingDays;
   @ApiModelProperty("货品是否补贴(1是,2否)")
   private String ifMenuMaterialSubsidy;
   @ApiModelProperty("采购计划是否出库(1是,2否)")
   private String ifPurPlanAddOutInventory;
   @ApiModelProperty("采购计划出库日期计算规则(默认0,支持正负值，单位天)")
   private String ifPurPlanOutInventoryDate;
   @ApiModelProperty("采购计划数量是否向上取整(1是,2否)")
   private String ifPurPlanAddUnitRounding;
   @ApiModelProperty("库存盘点数量是否向下取整(1是,2否)")
   private String ifPurPlanMinusUnitRounding;
   @ApiModelProperty("采购订单货品价格来源(1货品招标,2调价单)")
   private String ifOrderGoodsMaterialPriceSource;

   public AllocDrpModel() {
      this.setIfPurOrderNeedProcess(CharSequenceUtil.isEmpty(this.ifPurOrderNeedProcess) ? "2" : this.ifPurOrderNeedProcess);
      this.setIfProductionPlanNeedProcess(CharSequenceUtil.isBlank(this.ifProductionPlanNeedProcess) ? "2" : this.ifProductionPlanNeedProcess);
      this.setIfPurchasePlanNeedProcess(CharSequenceUtil.isEmpty(this.ifPurchasePlanNeedProcess) ? "2" : this.ifPurchasePlanNeedProcess);
      this.setIfCheckInventoryNeedProcess(CharSequenceUtil.isEmpty(this.ifCheckInventoryNeedProcess) ? "2" : this.ifCheckInventoryNeedProcess);
      this.roundingStyle = "1";
      this.ifPurOrderNeedSupplierConfirm = "2";
      this.ifAllowOverdraftInventory = "2";
      this.getMaterialUnitPriceStyle = "1";
      this.dishesMaterialCostPriceStyle = "1";
      this.setIfFetchMaterialNeedProcess(CharSequenceUtil.isEmpty(this.ifFetchMaterialNeedProcess) ? "2" : this.ifFetchMaterialNeedProcess);
      this.ifGoodsAllocationProcess = CharSequenceUtil.isEmpty(this.ifGoodsAllocationProcess) ? "2" : this.ifGoodsAllocationProcess;
      this.ifCommodityProductionNeedProcess = CharSequenceUtil.isEmpty(this.ifCommodityProductionNeedProcess) ? "2" : this.ifCommodityProductionNeedProcess;
      this.ifMaterialTenderProcess = CharSequenceUtil.isEmpty(this.ifMaterialTenderProcess) ? "2" : this.ifMaterialTenderProcess;
      this.ifMenuMaterialSubsidy = CharSequenceUtil.isEmpty(this.ifMenuMaterialSubsidy) ? "2" : this.ifMenuMaterialSubsidy;
      this.ifPurPlanAddOutInventory = CharSequenceUtil.isEmpty(this.ifPurPlanAddOutInventory) ? "2" : this.ifPurPlanAddOutInventory;
      this.ifPurPlanAddUnitRounding = CharSequenceUtil.isEmpty(this.ifPurPlanAddUnitRounding) ? "2" : this.ifPurPlanAddUnitRounding;
      this.ifPurPlanMinusUnitRounding = CharSequenceUtil.isEmpty(this.ifPurPlanMinusUnitRounding) ? "2" : this.ifPurPlanMinusUnitRounding;
      this.ifContractNeedProcess = CharSequenceUtil.isEmpty(this.ifContractNeedProcess) ? "2" : this.ifContractNeedProcess;
      this.ifAdjustmentNeedProcess = CharSequenceUtil.isEmpty(this.ifAdjustmentNeedProcess) ? "2" : this.ifAdjustmentNeedProcess;
      this.ifPurPlanOutInventoryDate = CharSequenceUtil.isEmpty(this.ifPurPlanOutInventoryDate) ? "0" : this.ifPurPlanOutInventoryDate;
      this.ifOrderGoodsMaterialPriceSource = CharSequenceUtil.isEmpty(this.ifOrderGoodsMaterialPriceSource) ? "1" : this.ifOrderGoodsMaterialPriceSource;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getRoundingStyle() {
      return this.roundingStyle;
   }

   public String getIfPurOrderNeedSupplierConfirm() {
      return this.ifPurOrderNeedSupplierConfirm;
   }

   public String getIfAllowOverdraftInventory() {
      return this.ifAllowOverdraftInventory;
   }

   public String getIfProductionPlanNeedProcess() {
      return this.ifProductionPlanNeedProcess;
   }

   public String getIfCommodityProductionNeedProcess() {
      return this.ifCommodityProductionNeedProcess;
   }

   public String getIfPurchasePlanNeedProcess() {
      return this.ifPurchasePlanNeedProcess;
   }

   public String getIfCheckInventoryNeedProcess() {
      return this.ifCheckInventoryNeedProcess;
   }

   public String getIfGoodsAllocationProcess() {
      return this.ifGoodsAllocationProcess;
   }

   public String getIfMaterialTenderProcess() {
      return this.ifMaterialTenderProcess;
   }

   public String getIfPurOrderNeedProcess() {
      return this.ifPurOrderNeedProcess;
   }

   public String getIfFetchMaterialNeedProcess() {
      return this.ifFetchMaterialNeedProcess;
   }

   public String getIfContractNeedProcess() {
      return this.ifContractNeedProcess;
   }

   public String getIfAdjustmentNeedProcess() {
      return this.ifAdjustmentNeedProcess;
   }

   public String getGetMaterialUnitPriceStyle() {
      return this.getMaterialUnitPriceStyle;
   }

   public String getDishesMaterialCostPriceStyle() {
      return this.dishesMaterialCostPriceStyle;
   }

   public String getGetPurchasePlanReferencePrice() {
      return this.getPurchasePlanReferencePrice;
   }

   public String getMaterialComingDays() {
      return this.materialComingDays;
   }

   public String getSupplierQualityComingDays() {
      return this.supplierQualityComingDays;
   }

   public String getHealthCertComingDays() {
      return this.healthCertComingDays;
   }

   public String getIfMenuMaterialSubsidy() {
      return this.ifMenuMaterialSubsidy;
   }

   public String getIfPurPlanAddOutInventory() {
      return this.ifPurPlanAddOutInventory;
   }

   public String getIfPurPlanOutInventoryDate() {
      return this.ifPurPlanOutInventoryDate;
   }

   public String getIfPurPlanAddUnitRounding() {
      return this.ifPurPlanAddUnitRounding;
   }

   public String getIfPurPlanMinusUnitRounding() {
      return this.ifPurPlanMinusUnitRounding;
   }

   public String getIfOrderGoodsMaterialPriceSource() {
      return this.ifOrderGoodsMaterialPriceSource;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setRoundingStyle(final String roundingStyle) {
      this.roundingStyle = roundingStyle;
   }

   public void setIfPurOrderNeedSupplierConfirm(final String ifPurOrderNeedSupplierConfirm) {
      this.ifPurOrderNeedSupplierConfirm = ifPurOrderNeedSupplierConfirm;
   }

   public void setIfAllowOverdraftInventory(final String ifAllowOverdraftInventory) {
      this.ifAllowOverdraftInventory = ifAllowOverdraftInventory;
   }

   public void setIfProductionPlanNeedProcess(final String ifProductionPlanNeedProcess) {
      this.ifProductionPlanNeedProcess = ifProductionPlanNeedProcess;
   }

   public void setIfCommodityProductionNeedProcess(final String ifCommodityProductionNeedProcess) {
      this.ifCommodityProductionNeedProcess = ifCommodityProductionNeedProcess;
   }

   public void setIfPurchasePlanNeedProcess(final String ifPurchasePlanNeedProcess) {
      this.ifPurchasePlanNeedProcess = ifPurchasePlanNeedProcess;
   }

   public void setIfCheckInventoryNeedProcess(final String ifCheckInventoryNeedProcess) {
      this.ifCheckInventoryNeedProcess = ifCheckInventoryNeedProcess;
   }

   public void setIfGoodsAllocationProcess(final String ifGoodsAllocationProcess) {
      this.ifGoodsAllocationProcess = ifGoodsAllocationProcess;
   }

   public void setIfMaterialTenderProcess(final String ifMaterialTenderProcess) {
      this.ifMaterialTenderProcess = ifMaterialTenderProcess;
   }

   public void setIfPurOrderNeedProcess(final String ifPurOrderNeedProcess) {
      this.ifPurOrderNeedProcess = ifPurOrderNeedProcess;
   }

   public void setIfFetchMaterialNeedProcess(final String ifFetchMaterialNeedProcess) {
      this.ifFetchMaterialNeedProcess = ifFetchMaterialNeedProcess;
   }

   public void setIfContractNeedProcess(final String ifContractNeedProcess) {
      this.ifContractNeedProcess = ifContractNeedProcess;
   }

   public void setIfAdjustmentNeedProcess(final String ifAdjustmentNeedProcess) {
      this.ifAdjustmentNeedProcess = ifAdjustmentNeedProcess;
   }

   public void setGetMaterialUnitPriceStyle(final String getMaterialUnitPriceStyle) {
      this.getMaterialUnitPriceStyle = getMaterialUnitPriceStyle;
   }

   public void setDishesMaterialCostPriceStyle(final String dishesMaterialCostPriceStyle) {
      this.dishesMaterialCostPriceStyle = dishesMaterialCostPriceStyle;
   }

   public void setGetPurchasePlanReferencePrice(final String getPurchasePlanReferencePrice) {
      this.getPurchasePlanReferencePrice = getPurchasePlanReferencePrice;
   }

   public void setMaterialComingDays(final String materialComingDays) {
      this.materialComingDays = materialComingDays;
   }

   public void setSupplierQualityComingDays(final String supplierQualityComingDays) {
      this.supplierQualityComingDays = supplierQualityComingDays;
   }

   public void setHealthCertComingDays(final String healthCertComingDays) {
      this.healthCertComingDays = healthCertComingDays;
   }

   public void setIfMenuMaterialSubsidy(final String ifMenuMaterialSubsidy) {
      this.ifMenuMaterialSubsidy = ifMenuMaterialSubsidy;
   }

   public void setIfPurPlanAddOutInventory(final String ifPurPlanAddOutInventory) {
      this.ifPurPlanAddOutInventory = ifPurPlanAddOutInventory;
   }

   public void setIfPurPlanOutInventoryDate(final String ifPurPlanOutInventoryDate) {
      this.ifPurPlanOutInventoryDate = ifPurPlanOutInventoryDate;
   }

   public void setIfPurPlanAddUnitRounding(final String ifPurPlanAddUnitRounding) {
      this.ifPurPlanAddUnitRounding = ifPurPlanAddUnitRounding;
   }

   public void setIfPurPlanMinusUnitRounding(final String ifPurPlanMinusUnitRounding) {
      this.ifPurPlanMinusUnitRounding = ifPurPlanMinusUnitRounding;
   }

   public void setIfOrderGoodsMaterialPriceSource(final String ifOrderGoodsMaterialPriceSource) {
      this.ifOrderGoodsMaterialPriceSource = ifOrderGoodsMaterialPriceSource;
   }
}
